Subject: Re: [EGIT PATCH 00/11] Support customizable label decorations

From: Tor Arne Vestbø <[email-masked]>
Date: Thu, 05 Feb 2009 17:17:15 +0100

Shawn O. Pearce wrote:
> Tor Arne Vestbø <[email-masked]> wrote:
>> This series adds support for customizable label decorations, which
>> is usefull for hiding selected decorations, or tweaking the format
>> of the decoration text.
> 
> Aside from my two remarks about the synchronized collections,
> I like it. 

Thanks :)

> There's no display for "added and dirty", aka doing:

That's a bug, should work the same as "staged and dirty", with [*] >,
I'll look into it.

>> Known issues are:
>>
>>   - If a project has a repository more than one level above the
>>     project directory decorations will fail.
> 
> I'd like to see this fixed in the near-ish future, but I don't
> think its blocking to merging your patches.

Yepp, It's on my list. This series is basically the minimum feature-set
I could produce that has most of what the current decorators have, so I
 could get a basis landed.

>>   - When a Java resource is dirty, each parent package in the
>>     package hierarcy will appear dirty, even when the layout is
>>     set to 'flat'.
> 
> Bah.  I've seen the Java compiler error marks also report like this.
> I don't think its our issue.  But maybe I'm wrong.

The CVS plugin handles this -- possibly through the TeamStateProvider
and friends -- so it is possible. Something to look at.

Tor Arne